QGIS Application - Bug report #4667
GRASS python modules stopped to work
2011-12-18 04:55 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee:

Category: GRASS

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 14559
Description

The message is

Cannot start module r.external.all.py
command: /usr/share/qgis/grass/scripts//r.external.all.py --interface-description

Cannot start module v.out.ogr.pg.py
command: /usr/share/qgis/grass/scripts//v.out.ogr.pg.py --interface-description

Cannot start module qgis.v.kernel.rast.py
command: /usr/share/qgis/grass/scripts//qgis.v.kernel.rast.py --interface-description

Cannot start module db.connect-login.pg.py
command: /usr/share/qgis/grass/scripts//db.connect-login.pg.py --interface-description

Launching them from the GRASS console works as expected, as the native module GRASS GUI opens and works ok.

History

#1 - 2012-01-17 04:01 AM - Giuseppe Sucameli
- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

"

.py --interface-descriptor” returns 1 (instead of 0) so that error message is shown.

Those GRASS plugin py modules just call the grass.parser(), so | think this could be a GRASS bug:
the grass.parser() called from python bindings exits with a wrong code (i.e. 1) after displaying the interface description.

On Ubuntu 11.04, QGis master, GRASS 6.4.1

#2 - 2012-01-17 05:03 AM - Giuseppe Sucameli
- Status changed from Open to Closed
- % Done changed from 0 to 100

Fixed in changeset commit:"fdd98947d763af5023cbd70fb43750f7611ba8f0".
#3 - 2012-01-17 07:01 AM - Giuseppe Sucameli

Here's the related ticket on GRASS trac: https:/trac.osgeo.org/grass/ticket/1540

#4 - 2012-01-17 03:08 PM - Giuseppe Sucameli
- % Done changed from 100 to 50

- Priority changed from Normal to Low

- Assignee set to Giuseppe Sucameli

- Status changed from Closed to Reopened

martinl fixed it on the GRASS side (see http://trac.0osgeo.org/grass/changeset/50240).

His fix may be added in GRASS 6.4.2 (is frozen for release yet, so cross your fingers).

After that fix is backported to GRASS 6.4 branch | have to make my workaround on the QGis side working for GRASS < 6.4.2 only (or to remove it at all) to

handle the retcode correctly and avoid problems in the future.

#5 - 2012-02-01 12:38 AM - Giuseppe Sucameli
- % Done changed from 50 to 100
- Status changed from Reopened to Closed

Fixed in changeset commit:"c3fd1777a306c0312a084eeda92739be1c64d339".

#6 - 2012-02-01 01:03 AM - Giuseppe Sucameli
- % Done changed from 100 to 50
- Status changed from Closed to Reopened

The ticket was automatically closed due to a backport of my commit from master to another branch.

| open it again, it's partially fixed.

#7 - 2012-02-01 01:04 AM - Giuseppe Sucameli

- Target version changed from Version 1.7.4 to Version 1.8.0

#8 - 2012-09-04 11:55 AM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#9 - 2012-12-31 01:24 AM - Paolo Cavallini

- Assignee changed from Giuseppe Sucameli to anonymous -

#10 - 2013-10-01 07:19 AM - Giuseppe Sucameli

- Status changed from Reopened to Closed

Fixed in changeset commit:"fdd98947d763af5023cbd70fb43750f7611ba8f0".

#11 - 2014-06-29 10:13 AM - Jiirgen Fischer
https://trac.osgeo.org/grass/ticket/1540
http://trac.osgeo.org/grass/changeset/50240

- Assignee deleted (anonymous -)
